from game.plugins import plugin, limitKit, NCOrifleData, ticketLoss, cmp_deploySpawnPoint, cmp_bleedReinforcements

kit_limits_64 = [
    plugin(limitKit, team = 2, kit = 'UP_SMGAssault_1928_30rnd', slot = 1, limit = 0.19),
    plugin(limitKit, team = 2, kit = 'UP_LMG_Limited', slot = 3, limit = 0.19),
    plugin(limitKit, team = 1, kit = 'JP_LMG_Limited', slot = 3, limit = 0.19),
  ]

rifleNCO = [plugin(NCOrifleData, kits = ('JP_NCO', 'UP_NCO_Early_1928_30rnd')),]

ticketloss = [
    plugin(ticketLoss, ticketLoss1 = 10, ticketLoss2 = 10)
]

tickets_16 = [
	plugin(ticketLoss, ticketLoss1 = 1000, ticketLoss2 = 1000)
]

spdeploy = [ 
    plugin(cmp_deploySpawnPoint , def_loc_team1 = (0.0, 0.0, 0.0), def_loc_team2 = (0.0, 0.0, 0.0), min_dis_2_flag = 10, min_dis_2_team_sp = 20, min_num_players = 2, allow_sl_only_dsp = 1, waiting_time_sl_only_deployment = 120, waiting_time_standard_deployment = 120, dsp_ttl = 600, dsp_ttl_sl_only = 600, rally_radius = 10) 
]

bleed_64 = [
    plugin(cmp_bleedReinforcements , bleedCpAxis = 'CP_64_fht_phillipines_axis_reinforcements',
                               bleedCpAllied = 'CP_64_fht_phillipines_allied_reinforcements',
                               alliedCpsForAxisBleed = 5,
                               axisCpsForAlliedBleed = 5),
]


gpm_cq = {
  64: kit_limits_64 + rifleNCO + ticketloss + spdeploy + bleed_64,
  32: kit_limits_64 + rifleNCO + ticketloss + spdeploy + bleed_64,
}
